Bug 129822 - [UI] Impress "create new slide by double clicking" creates new slide at wrong location
Summary: [UI] Impress "create new slide by double clicking" creates new slide at wrong...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2020-01-05 23:52 UTC by ahmed_nematallah
Modified: 2022-01-25 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ahmed_nematallah 2020-01-05 23:52:50 UTC
Description:
One way that can be used to create new slides in LO impress is by double clicking on the left side bar (the one that shows slide previews) where you want the new slide to be.

This works properly for the first few slides, but after about I start to scroll in that side bar, it starts creating slides at wrong locations, apparently, this creates a new slide at the location it should be had I not scrolled.

This is probably due to this function not adjusting for scrolling, because when I scroll to the top, slides are created at the correct location again.

Tested on Windows 10 (LO 6.3.4.2, with and without openGL) and MX Linux (LO 6.0.1.1, without openGL)

Steps to Reproduce:
1.Open LO Impress
2.Create 20 slides (Put some info just to make it easier to see where a new slide will be added)
3.Scroll in the left side bar down till the first few slides are not there
4.Create a new slide by double clicking between two slides

Actual Results:
A new slide is created in the beginning.

Expected Results:
A new slide should be created where the mouse cursor was pointing when the double click happened.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.3.4.2 (x64)
Build ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_DE); UI-Language: en-US
Calc: threaded

Version: 6.0.1.1
Build ID: 1:6.0.1-1~bpo9+1
CPU threads: 1; OS: Linux 4.19; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 ian 2020-01-06 15:40:30 UTC
Thank you for reporting this bug. I can replicate it at least in Windows with the same version you specified.

Version: 6.3.4.2 (x64)
Build ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU threads: 2; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Buovjaga 2020-01-25 19:28:56 UTC
This feature was apparently added in 4.2 and has always had this bug.
Comment 3 QA Administrators 2022-01-25 03:40:21 UTC
Dear ahmed_nematallah,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug